Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 510208 (CVE-2014-3461)

Summary: <app-emulation/qemu-2.0.0-r1: usb: fix up post load checks (CVE-2014-3461)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: cardoe, qemu
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://git.qemu.org/?p=qemu.git;a=commitdiff;h=719ffe1f5f72b1c7ace4afe9ba2815bcb53a829e
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1096821
Whiteboard: B2 [glsa]
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 510234    

Description Agostino Sarubbo gentoo-dev 2014-05-13 09:10:32 UTC
From ${URL} :

Correct post load checks:
1. dev->setup_len == sizeof(dev->data_buf)
    seems fine, no need to fail migration
2. When state is DATA, passing index > len
   will cause memcpy with negative length,
   resulting in heap overflow

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://article.gmane.org/gmane.comp.emulators.qemu/272092


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2014-05-25 17:27:23 UTC
upstream has merged the fix now
Comment 2 SpanKY gentoo-dev 2014-06-06 01:16:31 UTC
qemu-2.0.0-r1 has the fixes
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-09 13:04:45 UTC
(In reply to SpanKY from comment #2)
> qemu-2.0.0-r1 has the fixes

Are we ready for stabilization?
Comment 4 Agostino Sarubbo gentoo-dev 2014-08-09 12:41:18 UTC
Arches, please test and mark stable:
=app-emulation/qemu-2.0.0-r1
Target keywords : "amd64 x86"
Comment 5 Andreas Schürch gentoo-dev 2014-08-13 09:13:26 UTC
I suppose we also should do the deps!? 
Are there any opinions about other versions than the following?
=sys-cluster/glusterfs-3.5.1
=sys-infiniband/librdmacm-1.0.18
=sys-infiniband/libibverbs-1.1.7
=net-fs/libnfs-1.9.5
Comment 6 Agostino Sarubbo gentoo-dev 2014-08-13 09:25:44 UTC
(In reply to Andreas Schürch from comment #5)
> I suppose we also should do the deps!? 
> Are there any opinions about other versions than the following?
> =sys-cluster/glusterfs-3.5.1
> =sys-infiniband/librdmacm-1.0.18
> =sys-infiniband/libibverbs-1.1.7
> =net-fs/libnfs-1.9.5

I guess we could stable-mask the infiniband IUSE.
Comment 7 Agostino Sarubbo gentoo-dev 2014-08-20 10:41:25 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2014-08-20 10:44:43 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 9 Yury German Gentoo Infrastructure gentoo-dev Security 2014-08-25 16:38:30 UTC
Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version(s).

Added to existing GLSA Request
Comment 10 Agostino Sarubbo gentoo-dev 2014-08-26 13:13:22 UTC
cleanup done
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 11:31:22 UTC
This issue was resolved and addressed in
 GLSA 201408-17 at http://security.gentoo.org/glsa/glsa-201408-17.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2014-11-21 03:28:29 UTC
CVE-2014-3461 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-3461):
  hw/usb/bus.c in QEMU 1.6.2 allows remote attackers to execute arbitrary code
  via crafted savevm data, which triggers a heap-based buffer overflow,
  related to "USB post load checks."